# IntlTest Test Suite Documentation

Copyright (C) 1997-2000, International Business Machines Corporation and others. All Rights Reserved.

The IntlTest suite contains all of the tests for the C++ API of IBM's International Classes for Unicode. These tests may be automatically run by typing "intltest" at the command line. Since the verbose option prints out a lot of information, it is recommended that the output be redirected to a file:
"intltest -v > testOutput".

### Building

To compile this test suite using MSVC, follow the instructions in icu/readme.html#HowToInstall for building the "alCPP" (All C++ interfaces) workspace. This builds the libraries as well as the intltest executable.

### Executing

To run the test suite from the command line, change directories to "intlwork/source/test/intltest/Debug", then type:
"intltest -v > testOutput". For the release build, the executable will reside in "intlwork/source/test/intltest/Release".

### Usage

Type just "intltest -h" to see the usage:

    ### Syntax:

    ### IntlTest [-option1 -option2 ...] [testname1 testname2 ...]

    ### where options are: verbose (v), all (a), noerrormsg (n),

    ### exhaustive (e) and leaks (l).

    ### (Specify either -all (shortcut -a) or a test name).

    ### -all will run all of the tests.

    ###

    ### To get a list of the test names type: intltest LIST

    ### To run just the utility tests type: intltest utility

    ###

    ### Test names can be nested using slashes ("testA/subtest1")

    ### For example to list the utility tests type: intltest utility/LIST

    ### To run just the Locale test type: intltest utility/LocaleTest

    ###

    ### A parameter can be specified for a test by appending '@' and the value

    ### to the testname.

ReadMe for International Components for Unicode